Public Member Functions

# VideoDriver_Cocoa Class Reference

Inheritance diagram for VideoDriver_Cocoa:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop the video driver.
void | MakeDirty (int left, int top, int width, int height)
| Mark dirty a screen region.
void | MainLoop ()
| Programme main loop.
bool | ChangeResolution (int w, int h)
| Change window resolution.
bool | ToggleFullscreen (bool fullscreen)
| Set a new window mode.
bool | AfterBlitterChange ()
| Callback invoked after the blitter was changed.
const char * | GetName () const
| Return driver name.

## Detailed Description

Definition at line 17 of file cocoa_v.h.

## Member Function Documentation

bool VideoDriver_Cocoa::AfterBlitterChange | ( |  | ) | `[virtual]`

Callback invoked after the blitter was changed.

Returns:
  True if no error.

Reimplemented from VideoDriver.

bool VideoDriver_Cocoa::ChangeResolution | ( | int | w,
|  | int | h |
| ) |  |  | `[virtual]`

Change window resolution.

Parameters:

  | w | New window width
  | h | New window height

Returns:
  Whether change was successful

Implements VideoDriver.

const char* VideoDriver_Cocoa::GetName | ( |  | ) | const`[inline, virtual]`

Return driver name.

Returns:
  driver name

Implements Driver.

Definition at line 56 of file cocoa_v.h.

void VideoDriver_Cocoa::MakeDirty | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

Mark dirty a screen region.

Parameters:

  | left | x-coordinate of left border
  | top | y-coordinate of top border
  | width | width or dirty rectangle
  | height | height of dirty rectangle

Implements VideoDriver.

const char* VideoDriver_Cocoa::Start | ( | const char *const * | parm | ) | `[virtual]`

Start this driver.

Parameters:

  | parm | Parameters passed to the driver.

Returns:
  NULL if everything went okay, otherwise an error message.

Implements Driver.

bool VideoDriver_Cocoa::ToggleFullscreen | ( | bool | fullscreen | ) | `[virtual]`

Set a new window mode.

Parameters:

  | fullscreen | Whether to set fullscreen mode or not

Returns:
  Whether changing the screen mode was successful

Implements VideoDriver.

The documentation for this class was generated from the following file:

- src/video/cocoa/cocoa_v.h